%define packname  GeneR
%define release   2.3

Name:             R-%{packname}
Version:          2.11.1
Release:          3%{?dist}
Summary:          R for genes and sequences analysis

Group:            Applications/Engineering 
License:          CeCILL
URL:              http://www.bioconductor.org/packages/%{release}/bioc/html/%{packname}.html
Source0:          http://www.bioconductor.org/packages/%{release}/bioc/src/contrib/%{packname}_%{version}.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:         R >= 2.6.0 
Requires(post):   R
Requires(postun): R
BuildRequires:    R-devel tetex-latex R >= 2.6.0 

%description
Package manipulating nucleotidic sequences (Embl, Fasta, GenBank).

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}


#i368 arch
mkdir -p %{buildroot}%{_libdir}/R/library 
R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css

## make files UTF-8
iconv -f iso8859-1 -t utf-8 "%{buildroot}%{_libdir}/R/library/%{packname}/COPYING" > "%{buildroot}%{_libdir}/R/library/%{packname}/COPYING.conv"
mv -f "%{buildroot}%{_libdir}/R/library/%{packname}/COPYING.conv" "%{buildroot}%{_libdir}/R/library/%{packname}/COPYING"

%check
# This can not be run under koji because the GeneR-Ex.R file tries to get data from the web which is not allowed by koji:
#** output from the script
# ------ Get some data from the web !! -------
#> seqNcbi("BY608190",file='toto.fa')
#trying URL 'http://www.ncbi.nlm.nih.gov/entrez/viewer.fcgi?db=nucleotide&qty=1&c_start=1&send=Send&sendto=t&from=begin&to=end&extrafeatpresent=1&ef_MGC=16&dopt=fasta&list_uids=BY608190'
#Warning in download.file(urldemande, destfile = file) :
#  unable to resolve 'www.ncbi.nlm.nih.gov'
#Error in download.file(urldemande, destfile = file) : 
#  cannot open URL 'http://www.ncbi.nlm.nih.gov/entrez/viewer.fcgi?db=nucleotide&qty=1&c_start=1&send=Send&sendto=t&from=begin&to=end&extrafeatpresent=1&ef_MGC=16&dopt=fasta&list_uids=BY608190'
#Calls: demo ... eval.with.vis -> eval.with.vis -> seqNcbi -> download.file
#Execution halted
#**********************************

#%{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}

%post
%{_R_make_search_index}

%postun
%{_R_make_search_index}

%files
%defattr(-, root, root, -)
#i386 arch
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/latex
%doc %{_libdir}/R/library/%{packname}/doc
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/man
%doc %{_libdir}/R/library/%{packname}/COPYING
%{_libdir}/R/library/%{packname}/CONTENTS
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/R-ex
%{_libdir}/R/library/%{packname}/help
%{_libdir}/R/library/%{packname}/demo
%{_libdir}/R/library/%{packname}/libs

%changelog
* Sun Oct 26 2008  pingou <pingou@pingoured.fr> 2.11.1-3
- Comment the R CMD check which causes a build failed in koji

* Thu Oct 16 2008  pingou <pingou@pingoured.fr> 2.11.1-2
- Correct the source0 and url (were incorrect)
- Add a '.' at the end of the description

* Fri Oct 03 2008  pingou <pingou@pingoured.fr> 2.11.1-1
- initial package for Fedora
